<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: scalar_tvd_func.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_0691d6202b68dc26b40b4865e3c53c6d.html">scalar</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">scalar_tvd_func.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacescalar__tvd__func"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__tvd__func.html">scalar_tvd_func</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a47dad6b965ae20c039f4f22c84fd0a77"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__tvd__func.html#a47dad6b965ae20c039f4f22c84fd0a77">scalar_tvd_func::scalar_tvd_koren_init</a> (solver, scalar, sd)</td></tr>
<tr class="separator:a47dad6b965ae20c039f4f22c84fd0a77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1e611d0b1b746bf0b6bb40005eca3a2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__tvd__func.html#ac1e611d0b1b746bf0b6bb40005eca3a2">scalar_tvd_func::scalar_tvd_koren_coeff</a> (scalar, sd)</td></tr>
<tr class="separator:ac1e611d0b1b746bf0b6bb40005eca3a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad262c1f2706b287aba983d94a3b55a51"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scalar__tvd__func_8f90.html#ad262c1f2706b287aba983d94a3b55a51">clip_delta</a> (delta)</td></tr>
<tr class="separator:ad262c1f2706b287aba983d94a3b55a51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7ff26ee9bf664475d5e45d9a9e8180"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__tvd__func.html#acf7ff26ee9bf664475d5e45d9a9e8180">scalar_tvd_func::scalar_tvd_koren_residual</a> (scalar, sd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:acf7ff26ee9bf664475d5e45d9a9e8180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0461d96a3985da203d79ba9cf609027b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scalar__tvd__func_8f90.html#a0461d96a3985da203d79ba9cf609027b">apply_bc</a> ()</td></tr>
<tr class="separator:a0461d96a3985da203d79ba9cf609027b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba02e3a1f0a860d5c7a350bc1ff4cf52"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__tvd__func.html#aba02e3a1f0a860d5c7a350bc1ff4cf52">scalar_tvd_func::scalar_tvd_koren_inverse</a> (scalar, sd, rhoU, rhoV, rhoW, RHO, dt)</td></tr>
<tr class="separator:aba02e3a1f0a860d5c7a350bc1ff4cf52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a0461d96a3985da203d79ba9cf609027b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0461d96a3985da203d79ba9cf609027b">&#9670;&nbsp;</a></span>apply_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_tvd_koren_residual::apply_bc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, and <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="scalar__tvd__func_8f90_a0461d96a3985da203d79ba9cf609027b_cgraph.png" border="0" usemap="#scalar__tvd__func_8f90_a0461d96a3985da203d79ba9cf609027b_cgraph" alt=""/></div>
<map name="scalar__tvd__func_8f90_a0461d96a3985da203d79ba9cf609027b_cgraph" id="scalar__tvd__func_8f90_a0461d96a3985da203d79ba9cf609027b_cgraph">
<area shape="rect" id="node2" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="144,5,276,47"/>
<area shape="rect" id="node6" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="128,71,292,98"/>
<area shape="rect" id="node3" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="340,35,472,76"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="520,42,559,69"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="607,42,760,69"/>
</map>
</div>

</div>
</div>
<a id="ad262c1f2706b287aba983d94a3b55a51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad262c1f2706b287aba983d94a3b55a51">&#9670;&nbsp;</a></span>clip_delta()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function scalar_tvd_koren_coeff::clip_delta </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>delta</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="scalar__tvd__func_8f90_ad262c1f2706b287aba983d94a3b55a51_icgraph.png" border="0" usemap="#scalar__tvd__func_8f90_ad262c1f2706b287aba983d94a3b55a51_icgraph" alt=""/></div>
<map name="scalar__tvd__func_8f90_ad262c1f2706b287aba983d94a3b55a51_icgraph" id="scalar__tvd__func_8f90_ad262c1f2706b287aba983d94a3b55a51_icgraph">
<area shape="rect" id="node2" href="namespacescalar__tvd__func.html#ac1e611d0b1b746bf0b6bb40005eca3a2" title="scalar_tvd_func::scalar\l_tvd_koren_coeff" alt="" coords="131,31,288,72"/>
<area shape="rect" id="node3" href="namespacescalar__tvd__func.html#acf7ff26ee9bf664475d5e45d9a9e8180" title="scalar_tvd_func::scalar\l_tvd_koren_residual" alt="" coords="336,31,493,72"/>
<area shape="rect" id="node4" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="565,13,675,39"/>
<area shape="rect" id="node6" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="541,63,699,90"/>
<area shape="rect" id="node5" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="747,5,897,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
